# App kill

An action block that terminates all processes of a running app.

The fiber will proceed immediately without pause.

Processes and app “tasks” aren’t the same thing, this means that a killed app may still show up in the list of “recent” apps.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `am force-stop <package>`, see Android documentation.

Note! This feature isn’t officially supported, requires the privileged service, may not work on all devices.

## Input arguments

- Package — package name of the app to terminate.